## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOM_ElementHack Class Reference

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_Element ParentType

## Public Member Functions

- XercesDOM_ElementHack (ElementImplType *theImpl=0)
- XercesDOM_ElementHack (const ParentType &theSource)
- ~XercesDOM_ElementHack ()
- const DOMStringType getNodeNameImpl () const
- const DOMStringType getNodeValueImpl () const
- const DOMStringType getNamespaceURIImpl () const
- const DOMStringType getPrefixImpl () const
- const DOMStringType getLocalNameImpl () const
- const DOMStringType getTagNameImpl () const
- const DOMStringType getAttributeImpl (const DOMStringType &name) const
- const DOMStringType getAttributeNSImpl (const DOMStringType &namespaceURI, const DOMStringType &localName) const
- ElementImplType * getImpl () const

## Static Public Member Functions

- ElementImplType * getImpl (const ParentType &theNode)

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Element XercesDOM_ElementHack::ParentType

## Constructor & Destructor Documentation

XercesDOM_ElementHack::XercesDOM_ElementHack | ( | ElementImplType * | theImpl = 0 | ) |

XercesDOM_ElementHack::XercesDOM_ElementHack | ( | const ParentType & | theSource | ) |

XercesDOM_ElementHack::~XercesDOM_ElementHack | ( |  | ) |

## Member Function Documentation

const DOMStringType XercesDOM_ElementHack::getAttributeImpl | ( | const DOMStringType & | name | ) | const

const DOMStringType XercesDOM_ElementHack::getAttributeNSImpl | ( | const DOMStringType & | namespaceURI,
|  | const DOMStringType & | localName
| ) | const

ElementImplType* XercesDOM_ElementHack::getImpl | ( | const ParentType & | theNode | ) | `[static]`

ElementImplType* XercesDOM_ElementHack::getImpl | ( |  | ) | const

const DOMStringType XercesDOM_ElementHack::getLocalNameImpl | ( |  | ) | const

const DOMStringType XercesDOM_ElementHack::getNamespaceURIImpl | ( |  | ) | const

const DOMStringType XercesDOM_ElementHack::getNodeNameImpl | ( |  | ) | const

const DOMStringType XercesDOM_ElementHack::getNodeValueImpl | ( |  | ) | const

const DOMStringType XercesDOM_ElementHack::getPrefixImpl | ( |  | ) | const

const DOMStringType XercesDOM_ElementHack::getTagNameImpl | ( |  | ) | const

The documentation for this class was generated from the following file:

- XercesDOM_NodeHack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.